<template>
  <v-app>

    <v-navigation-drawer
        v-model="drawer"
        app
    >
      <Drawer-List/>
    </v-navigation-drawer>

    <v-app-bar app>
      <v-progress-linear
          :active="this.$store.getters.loading"
          :indeterminate="this.$store.getters.loading"
          absolute
          bottom
          color="deep-purple accent-4"
      ></v-progress-linear>
      <v-app-bar-nav-icon @click="drawer = !drawer"></v-app-bar-nav-icon>
      <v-toolbar-title>Hello World</v-toolbar-title>
    </v-app-bar>

    <v-main>
      <router-view/>
    </v-main>
    <v-footer padless>
      <v-col
          class="text-center"
          cols="12"
      >
        {{ new Date().getFullYear() }} — <strong>Vuetify</strong>
      </v-col>
    </v-footer>
  </v-app>
</template>

<script lang="ts">
import Vue from 'vue';
import DrawerList from "@/components/DrawerList.vue"

export default Vue.extend({
  name: 'App',
  components: {
    DrawerList
  },

  data: () => ({
    drawer: true,
  }),
});
</script>
